import request from '@/utils/request'

// 查询移库合库记录列表
export function listMove(query) {
  return request({
    url: '/wms/move/list',
    method: 'get',
    params: query
  })
}

// 查询移库合库记录详细
export function getMove(moveId) {
  return request({
    url: '/wms/move/' + moveId,
    method: 'get'
  })
}

// 新增移库合库记录
export function addMove(data) {
  return request({
    url: '/wms/move',
    method: 'post',
    data: data
  })
}

// 修改移库合库记录
export function updateMove(data) {
  return request({
    url: '/wms/move',
    method: 'put',
    data: data
  })
}

// 删除移库合库记录
export function delMove(moveId) {
  return request({
    url: '/wms/move/' + moveId,
    method: 'delete'
  })
}
